Last modified: 2012-09-04 06:11:55 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 39430 - gitweb is slow
gitweb is slow
Status: RESOLVED WONTFIX
Product: Wikimedia
Classification: Unclassified
Git/Gerrit (Other open bugs)
unspecified
All All
: Unprioritized normal (vote)
: ---
Assigned To: Nobody - You can work on this!
https://gerrit.wikimedia.org/r/gitweb...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-16 15:08 UTC by Bawolff (Brian Wolff)
Modified: 2012-09-04 06:11 UTC (History)
3 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Bawolff (Brian Wolff) 2012-08-16 15:08:06 UTC
gitweb is slowwwwwwwwwwwwwww

Like really slow.

https://gerrit.wikimedia.org/r/gitweb?p=mediawiki/core.git;a=history;f=includes/media/SVG.php;h=9c8fc5ee09e316667ab83a7da9f058b462984e0a;hb=HEAD took like 45 seconds to load.
Comment 1 Bawolff (Brian Wolff) 2012-08-16 15:10:06 UTC
obviously that's not the actual url in question...

Adding to url field where bugzilla won't mug it
Comment 2 Chad H. 2012-08-16 16:41:44 UTC
Well gitweb sucks. It's written in Perl and its authors are unaware of what caching is. I'd be inclined to WONTFIX in favor of the "replace gitweb" bug.
Comment 3 Bawolff (Brian Wolff) 2012-08-16 16:44:52 UTC
(In reply to comment #2)
> Well gitweb sucks. It's written in Perl and its authors are unaware of what
> caching is. I'd be inclined to WONTFIX in favor of the "replace gitweb" bug.

That's fine by me, I just filed this in case there was something easy that could be done (and I was bored waiting for the gitweb page to load ;)
Comment 4 Chad H. 2012-08-23 19:51:17 UTC
Marking WONTFIX in favor of bug 38383 (that and I really don't think there's anything we can do with gitweb here)

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links